### Constructor

# Gtk.Scale.new

#### Declaration [src]

    GtkWidget*
    gtk_scale_new (
      GtkOrientation orientation,
      GtkAdjustment* adjustment
    )

#### Description [src]

Creates a new `GtkScale`.

#### Parameters

`orientation` | `GtkOrientation`
| the scale’s orientation.
`adjustment` | `GtkAdjustment`
| the `GtkAdjustment` which sets the range of the scale, or `NULL` to create a new adjustment.
| Can be `NULL`
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkWidget`
a new `GtkScale`
Ownership is not transferred to the caller